name: New issue for Reproducible Bug
description: "If you're sure it's reproducible and not just your machine: submit an issue so we can investigate."
labels: [bug]
body:
  - type: markdown
    attributes:
      value: Please note we will close your issue without comment if you do not correctly fill out the issue checklist below and provide ALL the requested information. If you repeatedly fail to use the issue template, we will block you from ever submitting issues to Homebrew again.
  - type: textarea
    attributes:
      render: shell
      label: "`brew doctor` output"
    validations:
      required: true
  - type: checkboxes
    attributes:
      label: Verification
      description: Please verify that you've followed these steps. If you cannot truthfully check these boxes, open a discussion at https://github.com/orgs/Homebrew/discussions instead.
      options:
        - label: My "`brew doctor` output" above says `Your system is ready to brew.` and am still able to reproduce my issue.
          required: true
        - label: I ran `brew update` twice and am still able to reproduce my issue.
          required: true
        - label: This issue's title and/or description do not reference a single formula e.g. `brew install wget`. If they do, open an issue at https://github.com/Homebrew/homebrew-core/issues/new/choose instead.
          required: true
  - type: textarea
    attributes:
      render: shell
      label: "`brew config` output"
    validations:
      required: true
  - type: textarea
    attributes:
      label: What were you trying to do (and why)?
    validations:
      required: true
  - type: textarea
    attributes:
      label: What happened (include all command output)?
    validations:
      required: true
  - type: textarea
    attributes:
      label: What did you expect to happen?
    validations:
      required: true
  - type: textarea
    attributes:
      render: shell
      label: Step-by-step reproduction instructions (by running `brew` commands)
    validations:
      required: true
